import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 功能位置状态模型明细服务对象基类
 *
 * @export
 * @class EAMLocationStateModelLineServiceBase
 * @extends {EntityServie}
 */
export default class EAMLocationStateModelLineServiceBase extends EntityService {

    /**
     * Creates an instance of  EAMLocationStateModelLineServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  EAMLocationStateModelLineServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof EAMLocationStateModelLineServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='eamlocationstatemodelline';
        this.APPDEKEY = 'eamlocationstatemodellineid';
        this.APPDENAME = 'eamlocationstatemodellines';
        this.APPDETEXT = 'eamlocationstatemodellinename';
        this.APPNAME = 'assetmanagement';
        this.SYSTEMNAME = 'ibizassetmanagement';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMLocationStateModelLineServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            return Http.getInstance().get(`/eamlocationstatemodellines/${context.eamlocationstatemodelline}/select`,isloading);
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMLocationStateModelLineServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/eamlocationstatemodellines/select`,tempData,isloading);
    }
}