import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 功能位置状态模型服务对象基类
 *
 * @export
 * @class EAMLocationStateModelServiceBase
 * @extends {EntityServie}
 */
export default class EAMLocationStateModelServiceBase extends EntityService {

    /**
     * Creates an instance of  EAMLocationStateModelServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  EAMLocationStateModelServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof EAMLocationStateModelServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='eamlocationstatemodel';
        this.APPDEKEY = 'eamlocationstatemodelid';
        this.APPDENAME = 'eamlocationstatemodels';
        this.APPDETEXT = 'eamlocationstatemodelname';
        this.APPNAME = 'assetmanagement';
        this.SYSTEMNAME = 'ibizassetmanagement';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMLocationStateModelServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            return Http.getInstance().get(`/eamlocationstatemodels/${context.eamlocationstatemodel}/select`,isloading);
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMLocationStateModelServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/eamlocationstatemodels/select`,tempData,isloading);
    }
}